<template>
  <img
    class="service-logo"
    v-if="service.metadata.imageUrl"
    v-bind:src="service.metadata.imageUrl"
    v-bind:alt="service.name"
  >
  <svg
    v-else
    width="118px"
    height="118px"
    viewBox="0 0 118 118"
    version="1.1"
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
  >
    <g id="Page-1" stroke="none" stroke-width="1" fill="none" fill-rule="evenodd">
      <path
        d="M59,118 C26.4151998,118 0,91.5848002 0,59 C0,26.4151998 26.4151998,0 59,0 C91.5848002,0 118,26.4151998 118,59 C118,91.5848002 91.5848002,118 59,118 Z M51,66 L55.3737864,52.2617647 C56.6941814,48.0264494 57.9870487,43.6059054 59.2524272,39 L59.7475728,39 C60.6828526,42.3353108 62.0032277,46.7558548 63.7087379,52.2617647 L68,66 L51,66 Z M29,92 L43.1390728,92 L47.8251656,77.2527473 L71.1748344,77.2527473 L75.8609272,92 L90,92 L66.6503311,26 L52.3496689,26 L29,92 Z"
        fill="#D8D8D8"
      ></path>
    </g>
  </svg>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import { CatalogItem } from "@/services/osb/catalog";

@Component
export default class ServiceImage extends Vue {
  @Prop() public service!: CatalogItem;
}
</script>

<style lang="scss" scoped>
.service-logo {
  max-height: 150px;
  object-fit: contain;
}
</style>
